# Note: This package is synchronized with Fedora!

%global checkout cd96f02

%global relnum 1

Name:           python3-mypy
# Last actual version was 0.2.0, which is 7805b2c, continues as 0.2.0_dev
Version:        0.2.0
Release:        %mkrel 0.%{relnum}.git20160111
Summary:        A static type checker for Python
Group:          Development/Python

# The files under lib-python and lib-typing/3.2 are Python-licensed, but this
# package does not include those files
License:        MIT
URL:            https://github.com/JukkaL/mypy
# git archive --prefix=mypy-0.2.0-cd96f02/ cd96f02 | gzip -c9 > mypy-0.2.0-cd96f02.tar.gz
Source0:        mypy-%{version}-%{checkout}.tar.gz

# The bundled typing.py is not needed with python 3.5
Patch0:         0001-Do-not-install-typing.py.patch

# Change the search for data_dir to use Fedora's typeshed package instead of a
# bundled version
Patch1:         0002-Look-for-typeshed-in-usr-share.patch

# From https://github.com/JukkaL/mypy/issues/1095#issuecomment-166725598
Patch2:         0003-Fix-1095.-Look-for-the-keyword-type-in-the-right-pla.patch

# patch 2 breaks the data dir lookup when called as /bin/mypy instead of /usr/bin/mypy
Patch3:         0004-Canonicalize-bin_dir-when-looking-for-data_dir.patch

BuildRequires:  python3-devel

# Needed to generate the man pages
BuildRequires:  help2man

Requires:       python-typeshed

BuildArch:      noarch

%description
Mypy is an optional static type checker for Python.  You can add type
hints to your Python programs using the upcoming standard for type
annotations introduced in Python 3.5 beta 1 (PEP 484), and use mypy to
type check them statically. Find bugs in your programs without even
running them!

%prep
%autosetup -n mypy-%{version}-%{checkout} -p1

%build
%py3_build

%install
%py3_install

# Generate man pages
mkdir -p %{buildroot}%{_mandir}/man1
PYTHONPATH=%{buildroot}%{python3_sitelib} \
    help2man --no-info --version-string 'mypy %{version}-dev' \
        --no-discard-stderr -o %{buildroot}%{_mandir}/man1/mypy.1 \
        %{buildroot}%{_bindir}/mypy

PYTHONPATH=%{buildroot}%{python3_sitelib} \
    help2man --no-info --version-string 'mypy stubgen %{version}-dev' \
        --no-discard-stderr -o %{buildroot}%{_mandir}/man1/stubgen.1 \
        %{buildroot}%{_bindir}/stubgen

%files
%doc README.md CREDITS
%license LICENSE
%{python3_sitelib}/mypy
%{python3_sitelib}/mypy_lang-*.egg-info
%{_bindir}/mypy
%{_bindir}/stubgen
%{_mandir}/man1/mypy.1*
%{_mandir}/man1/stubgen.1*
# distutils insists on putting data_files in /usr/lib, so just go with it
%{_prefix}/lib/mypy



%changelog
* Wed Jan 13 2016 ngompa <ngompa> 0.2.0-0.1.git20160111.mga6
+ Revision: 922356
- imported package python3-mypy

